/* eslint-disable consistent-return */
import { Message } from 'eris';
import { Command } from '../class';
import { Client } from '..';

export default class Reload extends Command {
  constructor(client: Client) {
    super(client);
    this.name = 'reload';
    this.description = 'Reloads a command.';
    this.usage = `${this.client.config.prefix}reload [command name]`;
    this.permissions = { roles: ['525441307037007902'] };
    this.enabled = true;
  }

  public run(message: Message, args: string[]): void {
    if (!args.length) return this.client.commands.get('help').run(message, [this.name]);
  }
}
